> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user notifications

> Retrieve a list of notifications for the authenticated user



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json get /users/notifications
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /users/notifications:
    get:
      tags:
        - Users
      summary: Get user notifications
      description: Retrieve a list of notifications for the authenticated user
      parameters:
        - in: query
          name: limit
          schema:
            type: number
          description: Maximum number of results to return (max 10)
        - in: query
          name: lastEvaluatedKey
          schema:
            type: string
          description: Key for pagination
      responses:
        '200':
          description: User notifications successfully retrieved
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````